Sabian Symbols
POST
/sabian-symbols
curl -X POST https://api.astroway.info/v1/sabian-symbols \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "longitudes": [ 54.2, 123.7, 215.3, 287.5 ] }'const res = await fetch('https://api.astroway.info/v1/sabian-symbols', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "longitudes": [ 54.2, 123.7, 215.3, 287.5 ] }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/sabian-symbols', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'longitudes': [ 54.2, 123.7, 215.3, 287.5 ] },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('sabian-symbols', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'longitudes' => [54.2, 123.7, 215.3, 287.5], ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Return the Sabian symbol (Dane Rudhyar) for each given ecliptic longitude.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
longitudes required
Array<number>
Example
{ "longitudes": [ 54.2, 123.7, 215.3, 287.5 ]}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
symbols
Array<object>
object
planet
string
longitude
number
degree
number
sign
string
sabian
string
keynote
string
Example
{ "ok": true}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.